SREVIEW-PREVIEWS(1p)

NAME
sreview-previews - create previews from the "sreview-cut" output

SYNOPSIS
sreview-previews TALKID

DESCRIPTION
"sreview-previews" performs the following actions:

•   Look up the talk with id TALKID in the database.

•   Verify if the codecs in the pre, main, and post videos as produced by sreview-cut are HTML5-compatible. If they are, copy them to a MP4 or WebM container from the Matroska one.

•   If they are not, convert them to the "vp8_lq" profile

•   Update the database to set the current talk's "progress" field to "done".

CONFIGURATION
"sreview-previews" considers the following configuration values:

dbistring
    The DBI string used to connect to the database.

pubdir
    The directory in which to find the output of "sreview-cut", and in which to write the previews

SEE ALSO
"sreview-cut", "sreview-transcode", "sreview-skip", "sreview-config"